// Variables
$padding: 50px;
$colors: (
  primary: blue,
  light-blue: rgb(84, 84, 192),
  dark-blue: rgb(0, 0, 110),
  white: white,
);

// Function
@function color($color-name) {
  @return map-get($map: $colors, $key: $color-name);
}

@mixin flexPosition {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: flex-start;
}

body {
  margin: 0;

  .container {
    @include flexPosition();
    background-color: color(dark-blue);
    width: 100%;

    .item {
      font-size: 25px;
      padding: $padding - 30 $padding - 40;
      color: color(white);
      cursor: pointer;

      &:hover {
        background-color: color(light-blue);
      }
    }
  }

  .distance-container {
    @include flexPosition();

    .distance {
      padding: $padding;
      background-color: color(primary);
      color: color(white);
    }

    .distance-2 {
      @extend .distance;
      padding-bottom: $padding + 50px;
    }
  }
}
